<!-----HEADER----->
<header class="py-4 shadow-sm bg-white">
  <div class="container flex items-center justify-between space-x-100" >
    <h4 class="text-6xl text-gray-800 font-medium mb-4 capitalize">
      HobbyHub
    </h4>

    <div class="flex items-center space-x-4">
      <a href="#" class="text-center text-gray-700 hover:text-primary transition relative">
        <div class="text-2xl">
          <i class="fa-regular fa-heart"></i>
        </div>
        <div class="text-xs leading-3">Wishlist</div>
        <div
          class="absolute right-0 -top-1 w-5 h-5 rounded-full flex items-center justify-center bg-primary text-white text-xs">
          8</div>
      </a>
      <a href="#" class="text-center text-gray-700 hover:text-primary transition relative">
        <div class="text-2xl">
          <i class="fa-solid fa-bag-shopping"></i>
        </div>
        <div class="text-xs leading-3">Cart</div>
        <div
          class="absolute -right-3 -top-1 w-5 h-5 rounded-full flex items-center justify-center bg-primary text-white text-xs">
          2</div>
      </a>
      <a href="#" class="text-center text-gray-700 hover:text-primary transition relative">
        <div class="text-2xl">
          <i class="fa-regular fa-user"></i>
        </div>
        <div class="text-xs leading-3">Account</div>
      </a>
    </div>
  </div>
</header>
  <!-----HEADER----->
  <!-----navbar----->
<nav class="bg-gray-800">
  <div class="container flex">
    <div class="px-8 py-4 bg-primary md:flex items-center cursor-pointer relative group hidden">
                <span class="text-white">
                    <i class="fa-solid fa-bars"></i>
                </span>
      <span class="capitalize ml-2 text-white hidden">All Categories</span>

      <!-----dropdown----->
      <div
        class="absolute w-full left-0 top-full bg-white shadow-md py-3 divide-y divide-gray-300 divide-dashed opacity-0 group-hover:opacity-100 transition duration-300 invisible group-hover:visible">
        <a href="#" class="flex items-center px-6 py-3 hover:bg-gray-100 transition">
          <img src="assets/images/icons/sofa.svg" alt="sofa" class="w-5 h-5 object-contain">
          <span class="ml-6 text-gray-600 text-sm">Sofa</span>
        </a>
        <a href="#" class="flex items-center px-6 py-3 hover:bg-gray-100 transition">
          <img src="assets/images/icons/terrace.svg" alt="terrace" class="w-5 h-5 object-contain">
          <span class="ml-6 text-gray-600 text-sm">Terrace</span>
        </a>
        <a href="#" class="flex items-center px-6 py-3 hover:bg-gray-100 transition">
          <img src="assets/images/icons/bed.svg" alt="bed" class="w-5 h-5 object-contain">
          <span class="ml-6 text-gray-600 text-sm">Bed</span>
        </a>
        <a href="#" class="flex items-center px-6 py-3 hover:bg-gray-100 transition">
          <img src="assets/images/icons/office.svg" alt="office" class="w-5 h-5 object-contain">
          <span class="ml-6 text-gray-600 text-sm">office</span>
        </a>
        <a href="#" class="flex items-center px-6 py-3 hover:bg-gray-100 transition">
          <img src="assets/images/icons/outdoor-cafe.svg" alt="outdoor" class="w-5 h-5 object-contain">
          <span class="ml-6 text-gray-600 text-sm">Outdoor</span>
        </a>
        <a href="#" class="flex items-center px-6 py-3 hover:bg-gray-100 transition">
          <img src="assets/images/icons/bed-2.svg" alt="Mattress" class="w-5 h-5 object-contain">
          <span class="ml-6 text-gray-600 text-sm">Mattress</span>
        </a>
      </div>
    </div>

    <div class="flex items-center justify-between flex-grow md:pl-12 py-5">
      <div class="flex items-center space-x-6 capitalize">
        <a href="index.html" class="text-gray-200 hover:text-white transition">Home</a>
        <a href="pages/shop.html" class="text-gray-200 hover:text-white transition">Shop</a>
        <a href="#" class="text-gray-200 hover:text-white transition">About us</a>
        <a href="#" class="text-gray-200 hover:text-white transition">Contact us</a>
      </div>
      <a href="pages/login.html" class="text-gray-200 hover:text-white transition">Login</a>
    </div>
  </div>
</nav>
  <!-----./navbar----->


  <!-----Search----->
<div>

  <div class="w-[1000px] max-w-xl relative flex left-72 top-5 mb-7">
      <span class="absolute left-4 top-3 text-lg text-gray-400">
        <i class="fa-solid fa-magnifying-glass"></i>
      </span>
    <input type="text" #name name="search" id="search"
           class="w-[400px] border border-primary border-r-0 pl-12 py-3 pr-3 rounded-l-md focus:outline-none hidden md:flex"
           placeholder="search">
    <select name="locations" #ubication id="locations"
            class="bg-primary text-white px-8 hover:bg-transparent hover:text-primary transition hidden md:flex">
      <option value="">Selecciona una ubicación</option>
      <option *ngFor="let ubication of ubications"
              [value]="ubication">
        {{ ubication }}</option>
    </select>
    <select name="Reviews" #rating id="reviews"
            class="bg-primary text-white px-8 hover:bg-transparent hover:text-primary transition hidden md:flex">
      <option value="0">Estrellas</option>
      <option value="1">1 Estrella</option>
      <option value="2">2 Estrellas</option>
      <option value="3">3 Estrellas</option>
    </select>
    <select name="MoneyFor" #MoneyFor id="MoneyFor"
            class="bg-primary text-white px-8 hover:bg-transparent hover:text-primary transition hidden md:flex">
      <option value="">Dinero desde</option>
      <option value="0">0$</option>
      <option value=20000>20.000$</option>
      <option  value=30000>30.000$</option>
      <option value=50000>$50.000</option>
    </select>
    <select name="MoneyUp" #MoneyUp id="MoneyUp"
            class="bg-primary text-white px-8 hover:bg-transparent hover:text-primary transition hidden md:flex">
      <option value= 0>Dinero Hasta</option>
      <option value=100>100$</option>
      <option value=20000>20.000$</option>
      <option  value=30000>30.000$</option>
      <option value=50000>$50.000</option>
    </select>
    <button
      class="bg-primary border border-primary text-white px-8 rounded-r-md hover:bg-transparent hover:text-primary transition hidden md:flex" (click)="ObtainListCourses(
            name.value,
            rating.value,
            ubication.value,
            MoneyFor.value,
            MoneyUp.value
        )">Search</button>
  </div>
  <!-----./Search----->
  <!-----List of courses---->
  <div class="container pb-16">
    <h2 class="text-2xl font-medium text-gray-800 uppercase mb-6">Resultados de busqueda:</h2>
    <div class="grid grid-cols-1 md:grid-cols-4 gap-6 mb-5">
      <div *ngFor = "let curso of pageSlice;let i = index" class="bg-white shadow rounded overflow-hidden group">
        <div class="relative">
          <img src="assets/images/products/product1.jpg" alt="product 1" class="w-full">
          <div class="absolute inset-0 bg-black bg-opacity-40 flex items-center
                    justify-center gap-2 opacity-0 group-hover:opacity-100 transition">
            <a href="#"
               class="text-white text-lg w-9 h-8 rounded-full bg-primary flex items-center justify-center hover:bg-gray-800 transition"
               title="view product">
              <i class="fa-solid fa-magnifying-glass"></i>
            </a>
            <a href="#"
               class="text-white text-lg w-9 h-8 rounded-full bg-primary flex items-center justify-center hover:bg-gray-800 transition"
               title="add to wishlist">
              <i class="fa-solid fa-heart"></i>
            </a>
          </div>
        </div>
        <div class="pt-4 pb-3  px-4">
          <div class="flex items-center justify-between">
            <a href="#">
              <h4 class="font-medium text-xl mb-2 text-red-400 hover:text-primary transition">{{curso.couName}}</h4>
            </a>
            <p class="text-xs text-red-400  font-semibold">
              {{ curso.couAvgRating }}/5
            </p>
          </div>
          <div class="flex flex-col mb-1 space-y-2">
            <p class="text-sm text-gray-400 font-semibold">U: {{ curso.couUbication }}</p>
            <p class="text-l text-red-400 font-semibold">${{ curso.couPrice }} CLP</p>
            <p class="text-sm text-gray-400 line-through">${{ curso.couPrice }} CLP</p>
          </div>
    </div>
  </div>

</div>
    <div class="text-white bg-gray-800 shadow rounded overflow-hidden group">
      <mat-paginator
        (page)="OnPageChange($event)"
        [length]="this.courses.length"
        [pageSize]="9">
      </mat-paginator>
    </div>
</div>
  <!-----List of courses----->
</div>
